Name:           dvdrip
Version:        0.98.9
Release:        1%{?dist}
Summary:        Graphical DVD ripping and encoding tool

Group:          Applications/Multimedia
License:        GPLv2+ or Artistic
URL:            http://www.exit1.org/dvdrip/
Source0:        http://www.exit1.org/dvdrip/dist/dvdrip-%{version}.tar.gz
Patch0:         Video-DVDRip-0.97.8-nontplworkaround.patch
Patch1:         dvdrip-0.98.8-default_config.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Gtk2) >= 1.081, perl(Gtk2::Ex::FormFactory) >= 0.65
BuildRequires: perl(Locale::TextDomain) >= 1.16, perl(Event::ExecFlow) >= 0.62
BuildRequires: perl(Event::RPC)
BuildRequires: desktop-file-utils
Requires: ImageMagick
#Needed for transcoding
#Requires: transcode >= 0.6.13
#Optionals
# subtitleripper, vcdimager, lsdvd
# ogmtools is deprecated since ogm/ogg container (for video) is broken
# according to ffmpeg/MPlayer developers
# -master Requires: fping

%description
dvd::rip is a full featured DVD copy program. It provides an easy to use but
feature-rich Gtk+ GUI to control almost all aspects of the ripping and
transcoding process. It uses the widely known video processing swissknife
transcode and many other Open Source tools.


%prep
%setup -q
%patch0 -p1 -b .nontplworkaround
# OGM container is deprecated and shound't be used anymore
%patch1 -p1 -b .defaultconfig


%build
# We first build dvdrip-progress.c dvdrip-splitpipe.c with our flags
# The compilation won't be done twince as the binaries are already here.
# Note that only theses two make the package arch dependant (not the perl side).
pushd src
make CFLAGS="$RPM_OPT_FLAGS"
popd

%{__perl} Makefile.PL INSTALLDIRS=vendor
make 
# warning: jobserver unavailable
#{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

# Desktop entry
%{__cat} > dvdrip.desktop << EOF
[Desktop Entry]
Name=DVD Ripper and Encoder
Comment=Backup and compression utility for DVDs
Exec=dvdrip
Icon=%{perl_vendorlib}/Video/DVDRip/icon.xpm
Terminal=false
Type=Application
Categories=AudioVideo;
EOF

desktop-file-install --vendor "" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
  --mode 644 \
  dvdrip.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale
mv $RPM_BUILD_ROOT%{perl_vendorlib}/LocaleData/* $RPM_BUILD_ROOT%{_datadir}/locale
rmdir $RPM_BUILD_ROOT%{perl_vendorlib}/LocaleData
%find_lang video.dvdrip

%clean
rm -rf $RPM_BUILD_ROOT


%files -f video.dvdrip.lang
%defattr(-,root,root,-)
%doc Changes COPYRIGHT Credits README TODO
%{_bindir}/dvdrip*
%{perl_vendorlib}/*
%{_datadir}/applications/*dvdrip.desktop
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Thu Oct  9 2008 kwizart < kwizart at gmail.com > - 0.98.9-1
- Update to 0.98.9
* Mon Sep 29 2008 kwizart < kwizart at gmail.com > - 0.98.8-3
- Remove non-mandatory requirement.
* Thu Sep 11 2008 kwizart < kwizart at gmail.com > - 0.98.8-2
- Remove optionals tools
* Wed Apr 30 2008 kwizart < kwizart at gmail.com > - 0.98.8-1
- Initial package for RPM Fusion
